AurionAI Docs

Email Login

AC5: Email + password login.

POST
/api/v1/app/auth/login

AC5: Email + password login.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/app/auth/login" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string",    "platform": "ios",    "tenant_slug": "string"  }'
{
  "access_token": "string",
  "expires_in": 0,
  "refresh_token": "string",
  "requester": {
    "email": "string",
    "full_name": "string",
    "requester_id": "string",
    "tenant_id": "string"
  },
  "token_type": "Bearer",
  "user": {
    "email": "string",
    "full_name": "string",
    "requester_id": "string",
    "tenant_id": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}